<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <LinearLayout
        android:id="@+id/ll_client"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:paddingHorizontal="20mm"
        android:paddingVertical="12mm">

        <TextView
            android:id="@+id/tv_client"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="请选择客户"
            android:textColor="#ff3f617f"
            android:textSize="16sp" />

        <ImageView
            android:layout_width="20mm"
            android:layout_height="20mm"
            android:src="@mipmap/arrow_right_blue" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/ll_supplier"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:paddingHorizontal="20mm"
        android:paddingVertical="12mm">

        <TextView
            android:id="@+id/tv_supplier"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="请选择供应商"
            android:textColor="#ff3f617f"
            android:textSize="16sp" />

        <ImageView
            android:layout_width="20mm"
            android:layout_height="20mm"
            android:src="@mipmap/arrow_right_blue" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/ll_in_stock"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:paddingHorizontal="20mm"
        android:paddingVertical="12mm">

        <TextView
            android:id="@+id/tv_in_stock"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="入库仓库"
            android:textColor="#ff3f617f"
            android:textSize="16sp" />

        <TextView
            android:id="@+id/tv_in_stock_content"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="right"
            android:hint="请选择入库仓库"
            android:textColor="#FF5E6D82"
            android:textSize="16sp" />

        <ImageView
            android:layout_width="20mm"
            android:layout_height="20mm"
            android:src="@mipmap/arrow_right_blue" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/ll_send_stock"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:paddingHorizontal="20mm"
        android:paddingVertical="12mm">

        <TextView
            android:id="@+id/tv_send_stock"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="发货仓库"
            android:textColor="#ff3f617f"
            android:textSize="16sp" />

        <TextView
            android:id="@+id/tv_send_stock_content"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="right"
            android:hint="请选择发货仓库"
            android:textColor="#FF5E6D82"
            android:textSize="16sp" />

        <ImageView
            android:layout_width="20mm"
            android:layout_height="20mm"
            android:src="@mipmap/arrow_right_blue" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/ll_common"
        android:visibility="gone"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:paddingHorizontal="20mm"
        android:paddingVertical="12mm">

        <TextView
            android:id="@+id/tv_common_desc"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="关联仓库"
            android:textSize="16sp" />

        <TextView
            android:id="@+id/tv_common_content"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="right"
            android:text="请选择关联仓库"
            android:textColor="#FF5E6D82"
            android:textSize="16sp" />

        <ImageView
            android:layout_width="20mm"
            android:layout_height="20mm"
            android:src="@mipmap/arrow_right_blue" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:orientation="horizontal"
        android:paddingHorizontal="20mm"
        android:paddingVertical="10mm">


        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@drawable/shape_client_search"
            android:gravity="center_vertical"
            android:paddingHorizontal="10mm">

            <ImageView
                android:layout_width="22mm"
                android:layout_height="22mm"
                android:src="@mipmap/add_data_search" />

            <EditText
                android:id="@+id/et_key"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginLeft="2mm"
                android:background="@null"
                android:hint="搜索图号/品号/规格/品名"
                android:maxLines="1"

                android:textColor="#91ABBA"
                android:textColorHint="#91ABBA"
                android:textSize="11sp" />
        </LinearLayout>

        <Button
            android:id="@+id/btn_search"
            android:layout_width="60mm"
            android:layout_height="wrap_content"
            android:layout_marginLeft="10mm"
            android:background="@color/mainTextColor"
            android:text="搜索"
            android:textColor="@color/white"
            android:textSize="16sp" />
    </LinearLayout>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv_data"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="10mm" />
</LinearLayout>